import { EnterpriseMaterialFileBusinessTypeEnum } from '@/constants';
import { UploadUserFile } from '@bole-core/components';

export type FourStreamsMaterialFileTableProps = {
  showUploadBtn?: boolean;
  showCheckBtn?: boolean;
  showDownloadBtn?: boolean;
  showDeleteBtn?: boolean;
};

export type FourStreamsMaterialFileTableItem = {
  fileBusinessType: EnterpriseMaterialFileBusinessTypeEnum;
  fileList: (API.AddEnterpriseMaterialFileInput & UploadUserFile)[];
};

export enum EnterpriseTypeEnum {
  /**
   * 人力资源公司
   */
  HREnterprise = 10,
  /**
   * 甲方企业
   */
  FirstPartyCompany = 20,
  /**
   * 行业配套
   */
  IndustryMating = 30,
  /**
   * 行业机构
   */
  IndustryBody = 40,
}

export const EnterpriseTypeEnumText = {
  [EnterpriseTypeEnum.HREnterprise]: '人力资源公司',
  [EnterpriseTypeEnum.FirstPartyCompany]: '甲方企业',
  [EnterpriseTypeEnum.IndustryMating]: '行业配套',
  [EnterpriseTypeEnum.IndustryBody]: '行业机构',
};
